Page MenuHomePhabricator

Consider moving various DB writes on page views to using local jobs
Closed, ResolvedPublic

Description

dbperformance.log on fluorine shows lots of DB writes on page views. This could be faster in multi-DC setup (and avoid SPOFs in general) if they used the local 'enqueue' queue to get the jobs into the master DC for execution. The code would have to be put into a job class of course.

Event Timeline

aaron created this task.Mar 6 2015, 11:37 PM
aaron claimed this task.
aaron raised the priority of this task from to Normal.
aaron updated the task description. (Show Details)
aaron added subscribers: PleaseStand, gerritbot, bd808 and 2 others.
mark added a subscriber: mark.Mar 11 2015, 8:11 PM
daniel moved this task from Inbox to Backlog on the TechCom-RFC board.Mar 11 2015, 8:29 PM
daniel added a subscriber: daniel.

Marking this as "draft" for now, needs to be fleshed out a bit before discussion.

The summary is pretty brief, but I (and the other archcom people) support the general idea. Theoretically this could be fleshed out by adding a list of writes involved and strategies for job-ifying them, but that doesn't change the fact that I think this is a good idea and should go ahead. You (@aaron) probably know what you're doing here better than anyone else anyway, so just go ahead and do it :)

Catrope moved this task from Backlog to Approved on the TechCom-RFC board.Mar 11 2015, 8:57 PM

(BTW why is this tagged Patch to Review? Is there a patch?)

aaron added a comment.Mar 11 2015, 9:00 PM

The epic task keeps getting that tag, and "create subtask" inherits it unless one keeps remembering to uncheck it.

Gilles added a subscriber: Gilles.Apr 2 2015, 12:24 PM
aaron closed this task as Resolved.Sep 2 2015, 10:14 AM

After numerous patches for T92357 I don't see anything blocking here anymore. I forgot to tag some patches though :/